Qt 5.7 | Qt Data Visualization | C++ Classes | QAbstractDataProxy

Qt 5.7.1 Reference Documentation

# QAbstractDataProxy Class

Base class for all QtDataVisualization data proxies. More...

Header: | #include <QAbstractDataProxy>
Since: | QtDataVisualization 1.0
Instantiated By: | AbstractDataProxy
Inherited By: | QBarDataProxy, QScatterDataProxy, and QSurfaceDataProxy

- List of all members, including inherited members

## Public Types

enum | DataType { DataTypeNone, DataTypeBar, DataTypeScatter, DataTypeSurface }

## Properties

- type : const DataType

## Public Functions

virtual | ~QAbstractDataProxy()
DataType | type() const

## Detailed Description

Base class for all QtDataVisualization data proxies.

You use the visualization type specific inherited classes instead of the base class.

See also QBarDataProxy, QScatterDataProxy, QSurfaceDataProxy, and Qt Data Visualization Data Handling.

## Member Type Documentation

### enum QAbstractDataProxy::DataType

Data type of the proxy.

Constant | Value | Description
--- | --- | ---
`QAbstractDataProxy::DataTypeNone` | `0` | No data type.
`QAbstractDataProxy::DataTypeBar` | `1` | Data type for Q3DBars.
`QAbstractDataProxy::DataTypeScatter` | `2` | Data type for Q3DScatter.
`QAbstractDataProxy::DataTypeSurface` | `4` | Data type for Q3DSurface.

## Property Documentation

### type : const DataType

The type of the proxy.

Access functions:

DataType | type() const

## Member Function Documentation

### `[virtual]` QAbstractDataProxy::~QAbstractDataProxy()

Destroys QAbstractDataProxy.